Page MenuHomePhabricator

treedirstate: clear ambiguous times when writing the dirstate
ClosedPublic

Authored by mbthomas on Nov 14 2017, 12:39 PM.

Details

Summary

When writing out changes to the dirstate, mark any files that have the same
mtime as the current time as requiring lookup. This matches the behaviour
of the C-based pack_dirstate.

Diff Detail

Repository
rFBHGX Facebook Mercurial Extensions
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mbthomas created this revision.Nov 14 2017, 12:39 PM
Herald added a reviewer: Restricted Project. · View Herald TranscriptNov 14 2017, 12:39 PM
mbthomas updated this revision to Diff 3601.Nov 17 2017, 9:45 AM
mbthomas updated this revision to Diff 3656.Nov 20 2017, 12:21 PM
durham accepted this revision.Nov 21 2017, 10:58 AM
durham added a subscriber: durham.
durham added inline comments.
rust/treedirstate/src/tree.rs
254

We need a test for this?

treedirstate/__init__.py
234–235

Can we add a doccomment stating what this exactly does? Just so when we move it into pure native code later we know exactly what it's trying to do.

This revision is now accepted and ready to land.Nov 21 2017, 10:58 AM
mbthomas updated this revision to Diff 3731.Nov 21 2017, 1:35 PM
mbthomas updated this revision to Diff 3772.Nov 22 2017, 1:14 PM
mbthomas updated this revision to Diff 3825.Nov 24 2017, 11:53 AM
mbthomas updated this revision to Diff 3843.Nov 24 2017, 3:18 PM
mbthomas updated this revision to Diff 3866.Nov 27 2017, 8:00 AM
This revision was automatically updated to reflect the committed changes.